package rpc

import "github.com/valyala/fasthttp"

type RPCGatewayHandler interface {
	Init() error
	Handshake(ctx *fasthttp.RequestCtx) (id string, extensionsHeader *fasthttp.ResponseHeader)

	Validate()
}
